##### ssl::context::add_certificate_authority (1 of 2 overloads)

Add certification authority for performing verification.

    void add_certificate_authority(
        const const_buffer & ca);

This function is used to add one trusted certification authority from a memory buffer.

###### Parameters

ca

  The buffer containing the certification authority certificate. The certificate must use the PEM format.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Remarks

Calls `SSL_CTX_get_cert_store` and `X509_STORE_add_cert`.